# Class TCustomFocusHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFocusHandler

## Declaration

`type TCustomFocusHandler = class(TCefFocusHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefFocusHandlerOwn
- TCustomFocusHandler

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); override;`
| `function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; override;`
| `procedure OnGotFocus(const browser: ICefBrowser); override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); override;`
This item has no description. Showing description inherited from ICefFocusHandler.OnTakeFocus. Called when the browser component is about to loose focus. For instance, if focus was on the last HTML element and the user pressed the TAB key. |next| will be true (1) if the browser is giving focus to the next component and false (0) if the browser is giving focus to the previous component.

| `function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; override;`
This item has no description. Showing description inherited from ICefFocusHandler.OnSetFocus. Called when the browser component is requesting focus. |source| indicates where the focus request is originating from. Return false (0) to allow the focus to be set or true (1) to cancel setting the focus.

| `procedure OnGotFocus(const browser: ICefBrowser); override;`
This item has no description. Showing description inherited from ICefFocusHandler.OnGotFocus. Called when the browser component has received focus.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefFocusHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.